Subject: Re: AODV cached information

From: "" <[email-masked]>
Date: Wed, 25 Oct 2000 17:38:59 GMT

Hello Samir

> >
> >Question 1
> >----------
> >
> >   When there is a link failure occured during data transfering,
> >how does  the AODV know whether
> >
> >to perform "local recovery"
> >
> >or
> >
> >to inform the source node that link failure has occured
> >in order to broadcast a new RREQ for the destination node.
>
>The protocol does not really "know" which way would be better. But
>one can think of heuristics that would perform well. For example,
>if the source is too far in number of hops may be you can go for
>local recovery.

You mean that the answer to decide which way to repair the link failure
is to count the no. of hop from the source node.
Then how "far" should we decide that it's far enough to perform the local
recovery?

Futuremore, performing local recovery far from the source nodes may not
bring positive performance.

Imagine that there is a path where the source node is 10 hops away from
the destination node.
Link failure occurs at node no. 8 which is "far" away from the source node.
So the local recovery is performed and RREQ is broadcasted from node no.8
While waiting for the local recovery, the relatively "long remaining active 
path"
may break again somewhere,let say node no. 6,another RREQ is broadcasted
from node. no.6 .

Well, this might deteriorate the performance adversely.

>
> >Question 2
> >----------
> >Does AODV  first try using the cached information
> >before broadcasting a new RREQ ?
> >The using of cached route information in the intermediate nodes
> >and the source node may help limiting the propagation of RREQ.
> >I agree with this but I really doubt that using
> >cached route information may improve performance
> >over all.
> >It may end up generating more RREQ messages instead.
> >
>
>I don't follow your point clearly as AODV does not use caching explicitly.
>Do you mean that an intermediate node having a valid route to destination
>and replying to RREQ is equivalent to caching? Tnen AODV already does what
>you mentioned.
>

The AODV only use the cached information only if the destination sequence
no. is higher than the current destination sequence no.
This situation occurs rarely.
Are you suggesting that AODV does not encourage using the cached 
information?
I have read some of the works done by David B. Johnson,
and he argues that the using of cached information might help
to bring down the broadcasting of RREQ in On-Demand protocol.
Would like to know your opinion.

Thank you
ghee
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

Share information about yourself, create your own public profile at 
http://profiles.msn.com.